summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2018-09-07 10:53:22 -0400
committerMike Gilbert <floppym@gentoo.org>2018-09-07 13:18:44 -0400
commit3b520e5686ec099557f0ae8cd010616312045fb2 (patch)
treeef453c57e7f9253ab07500dedc39e54c5bbcd451
parentwww-client/firefox: install language packs as XPI file (diff)
downloadgentoo-3b520e5686ec099557f0ae8cd010616312045fb2.tar.gz
gentoo-3b520e5686ec099557f0ae8cd010616312045fb2.tar.bz2
gentoo-3b520e5686ec099557f0ae8cd010616312045fb2.zip
dev-libs/atf: remove /usr/tests
Bug: https://bugs.gentoo.org/654496 Package-Manager: Portage-2.3.49_p2, Repoman-2.3.10_p48
-rw-r--r--dev-libs/atf/atf-0.21-r2.ebuild (renamed from dev-libs/atf/atf-0.21-r1.ebuild)9
1 files changed, 4 insertions, 5 deletions
diff --git a/dev-libs/atf/atf-0.21-r1.ebuild b/dev-libs/atf/atf-0.21-r2.ebuild
index 8f0c520fae8..81fad911bd9 100644
--- a/dev-libs/atf/atf-0.21-r1.ebuild
+++ b/dev-libs/atf/atf-0.21-r2.ebuild
@@ -1,10 +1,8 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-inherit ltprune
-
DESCRIPTION="Libraries to write tests in C, C++ and shell"
HOMEPAGE="https://github.com/jmmv/atf"
SRC_URI="https://github.com/jmmv/atf/releases/download/${P}/${P}.tar.gz"
@@ -16,9 +14,10 @@ IUSE=""
DEPEND="virtual/pkgconfig"
-PATCHES=( ${FILESDIR}/${P}-getopt-solaris.patch )
+PATCHES=( "${FILESDIR}"/${P}-getopt-solaris.patch )
src_install() {
default
- prune_libtool_files
+ rm -r "${ED%/}"/usr/tests || die
+ find "${ED}" -name '*.la' -delete || die
}